langcode: en
status: true
dependencies: {  }
id: upgrade_d7_taxonomy_term_custom_terms
migration_tags:
  - 'Drupal 7'
  - Content
migration_group: migrate_drupal_7_geo
label: 'Extra Taxonomy terms'
source:
  plugin: csv
  path: modules/custom/geo_upgrade/default_data/default_terms.csv
  ids: [id]
process:
  name: name
  vid: vocabulary
destination:
  plugin: entity:taxonomy_term
# Run first the other migration that create terms to avoid get a tid used by other term.
migration_dependencies:
  required:
    - upgrade_d7_taxonomy_vocabulary
    - upgrade_d7_taxonomy_term_vocabulary_1
    - upgrade_d7_taxonomy_term_vocabulary_2
    - upgrade_d7_taxonomy_term_vocabulary_3
    - upgrade_d7_taxonomy_term_vocabulary_7
    - upgrade_d7_taxonomy_term_vocabulary_10
    - upgrade_d7_taxonomy_term_vocabulary_12
    - upgrade_d7_taxonomy_term_vocabulary_13
  optional: {  }
